How do I remove v3.00 manual install after upgrading from PPA on Linux Mint?
#1
Hello,
I cannot get my upgraded version to work, try though I did to apply what was said here to resolve the problem.
PPA added, version 3.16 installed over 3.0 and still it is 3.0 which is running when I try to use get_iplayer:

$ uname -r
4.4.0-53-generic
Linux Mint running
upgraded/updated recently




Executing: /tmp/tmp.1T2azzZRow/gpg.1.sh --keyserver
hkp://keyserver.ubuntu.com:80
--recv-keys
02E04F78
gpg: requesting key 02E04F78 from hkp server keyserver.ubuntu.com
gpg: key 02E04F78: "Launchpad xbmc" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
                ~ $ sudo apt-get install get-iplayer
Reading package lists... Done
Building dependency tree      
Reading state information... Done
get-iplayer is already the newest version (3.16-ppa32~xenial).
0 upgraded, 0 newly installed, 0 to remove and 23 not upgraded.
                  ~ $ get_iplayer garden
get_iplayer v3.00, Copyright (C) 2008-2010 Phil Lewis


Looked at the repositories lists, it's present in there.
Any ideas, please?
Thanks
#2
Quote:PPA added, version 3.16 installed over 3.0 and still it is 3.0 which is running when I try to use get_iplayer:

Surely 'whereis' is your friend.

Try 'whereis get_iplayer' and see what that tells you. You can then remove the offending version.
#3
the manual installation instructions tell you to put get_iplayer in /usr/local/bin

the repositories place get-iplayer in /usr/bin

(these are both appropriate, and the correct, locations)

so if you install by hand, and install from a repository, then which version you get is entirely dependent on how you've set your PATH variable.

In general, if you're using a respository, then you probably don't want a manually installed version. So delete get_iplayer and get_iplayer.cgi from /usr/local/bin.

Jon


Possibly Related Threads...
Thread Author Replies Views Last Post
  How do I install modern version of ffmpeg (hint: read install docs) mable syrup 2 875 20-06-2018, 10:24 PM
Last Post: mable syrup
  Manual installation of get_iplayer masking PPA version on Ubuntu 16.04 jb99 4 3,143 13-11-2017, 06:35 PM
Last Post: jb99
  get_iplayer 2.94 unable to get a radio programme by PID (Mint 17) FrankP 3 2,682 04-06-2015, 11:35 AM
Last Post: dinky